Page MenuHomePhabricator

Drop old devwikiinternal and rel13testwiki from s3
Closed, ResolvedPublic

Description

Per https://phabricator.wikimedia.org/T54932#1808563 and brions subsequent comment...

Please archive and drop the devwikiinternal and rel13testwiki databases from s3

Event Timeline

Reedy created this task.Nov 16 2015, 7:05 PM
Reedy raised the priority of this task from to Medium.
Reedy updated the task description. (Show Details)
Reedy added a project: DBA.
Reedy added a subscriber: jcrespo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2015, 7:05 PM
jcrespo moved this task from Triage to Backlog on the DBA board.Nov 17 2015, 3:24 PM

devwikiinternal.old, rel13testwiki.old, zh_cnwiki.old
I'm not sure these ones should be deleted. These wikis are 'deleted' in the sense that MediaWiki no longer exposes them to users, however as far as I know the DBs are not typically deleted. These specific tables were used on very old (MW 1.4) sites.

Reedy changed the task status from Open to Stalled.Nov 17 2015, 4:20 PM

Guess we should decide if these should indeed go...

MaxSem added a subscriber: MaxSem.Feb 17 2016, 7:13 PM

Not sure what devwikiinternal was about, but rel13testwiki sounds as it can definitely go.

Marostegui added a subscriber: Marostegui.EditedSep 5 2017, 3:09 PM

Note: Comment updated to reflect the new path for these backups (as dbstore1001 was reimaged)

So,

devwikiinternal and rel13testwiki and last write happened on 2015.
I have taken a mysqldump from those two databases and placed them at:

root@dbstore1001:/srv/backups/tmp/T118764# pwd
/srv/tmp/T118764
root@dbstore1001:/srv/backups/tmp/T118764# ls -lh
total 420K
-rw-r--r-- 1 root root 208K May  4 09:45 devwikiinternal.sql
-rw-r--r-- 1 root root 212K May  4 09:45 rel13testwiki.sql

@Reedy @MaxSem you guys fine if I go ahead and drop these two?

Reedy added a comment.May 4 2018, 12:57 PM

I'd say so. You've got a backup of the tiny amount of data they apparently hold... So if anyone needs them, we have it :)

MaxSem added a comment.May 4 2018, 5:34 PM

Yeah, no way anybody needs these.

Mentioned in SAL (#wikimedia-operations) [2018-05-07T05:37:21Z] <marostegui> Unused databases devwikiinternal and rel13testwiki from s3 - T118764

Marostegui closed this task as Resolved.May 7 2018, 5:40 AM
Marostegui claimed this task.

Dropped